package com.dz.openapi.demo.im;


import com.alibaba.fastjson.JSON;
import com.dz.openapi.core.OpenAPIResponse;
import com.dz.openapi.demo.BaseWebTest;
import com.dz.openapi.demo.OpenAPIConstants;

import org.junit.jupiter.api.Test;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.MediaType;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SessionQueryTest extends BaseWebTest {

    @Test
    public void testSessionList() {
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON);

        Map<String, Object> params = new HashMap<>();
//        params.put("requestId", UUID.randomUUID().toString());

        HttpEntity<Map<String, Object>> request = new HttpEntity<>(params, headers);

        OpenAPIResponse response = restTemplate.exchange(
                config.getAPIUrl(OpenAPIConstants.IM.SESSION_LIST), HttpMethod.POST, request, OpenAPIResponse.class).getBody();

        log.info("testSessionList result: {}", JSON.toJSONString(response));

    }
}
