package com.dz.openapi.demo.scrm.model;

import java.sql.Date;

import lombok.Data;

@Data
public class BasicCustomerFieldDefineDTO {
    Long id;
    /**
     * 租户ID
     */
    String tenantId;
    /**
     * 表单类型：1客户组表单自定义字段，2客户表单自定义字段
     */
    Integer formType;
    /**
     * 字段编码
     */
    String code;
    /**
     * 字段分类：0系统字段 1 自定义字段
     * CategoryEnum
     */
    Integer category;
    /**
     * 字段类型,0:文本,1:多行文本,2:多选下拉框,3:单选下拉框,4:复选框,5:单选框,6:数值,7:百分比,8:仅日期,9:日期和时间,10:附件,11:手机号,12:联系电话
     */
    Integer type;
    /**
     * 字段显示名称
     */
    String name;
    /**
     * 字段是否是必填: 0否 1是s
     */
    Integer isRequired;
    Integer imWorkbench;
    Integer ccWorkbench;
    String description;
    Integer priority;
    /**
     * 字段状态：0禁用，1启用
     * StatusEnum
     */
    Integer status;
    /**
     * 字段备注：给创建、修改字段的人查看
     */
    String remark;
    Date createTime;
    String typeDefine;
    String typeValueRange;
    String defaultValue;
    Integer isSensitive;
    Integer isShowSensitive;
}