package com.dz.openapi.demo.staff.model;

import lombok.Data;

@Data
public class RoleInfo {

    /**
     * 角色id
     */
    private long roleId;
    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色状态(0：禁止删除 1：可以删除)
     */
    private Byte status;

    /**
     * 该角色是否被单点登录引用(0：未被引用 1：已被引用)
     */
    private Byte ssoStatus = 0;

}
