package com.dz.openapi.demo.tenant;


import com.dz.openapi.core.OpenAPIResponse;
import com.dz.openapi.demo.BaseWebTest;
import com.dz.openapi.demo.OpenAPIConstants;

import org.junit.jupiter.api.Test;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class TenantInfoTest extends BaseWebTest {

    @Test
    public void tenantInfo() {
        OpenAPIResponse response = restTemplate.getForObject(
                config.getAPIUrl(OpenAPIConstants.Tenant.TENANT_INFO + "?tenantId=87462158132343186600590049"), OpenAPIResponse.class);
        assertResultAndLog(response);
    }
}
