//package com.dz.openapi.platform.demo.outbound;
//
//import com.dz.openapi.core.AbstractOpenAPI;
//import com.dz.openapi.core.OpenAPICommonResponse;
//import com.dz.openapi.core.OpenAPIConfig;
//
//public class RobotOutboundOpenAPI extends AbstractOpenAPI {
//
//    private String pathPrefix = "";
//
//    public RobotOutboundOpenAPI(OpenAPIConfig config) {
//        super(config);
//        this.pathPrefix = "/outbound/openapi/" + config.getApiVersion();
//    }
//
//    /**
//     * 获取外呼号码组
//     *
//     * @return
//     */
//    public OpenAPICommonResponse getOutboundNo() {
//        return restTemplate.getForEntity(config.buildAPIUrl(pathPrefix + "/speech"), OpenAPICommonResponse.class).getBody();
//    }
//
//    /**
//     * 获取创建外呼任务需要的相关信息
//     *
//     * @return
//     */
//    public OpenAPICommonResponse getInfoOfCreateTask() {
//        return restTemplate.getForEntity(config.buildAPIUrl("/outbound/openapi/v2/task/getInfoOfCreateTask"), OpenAPICommonResponse.class).getBody();
//    }
//
//    /**
//     * 机器人、对话任务列表（机器人及机器人下可用的流程信息）
//     *
//     * @return
//     */
//    public OpenAPICommonResponse getDialogTask() {
//        return restTemplate.getForEntity(config.buildAPIUrl("/outbound/openapi/v2/task/getDialogTask"), OpenAPICommonResponse.class).getBody();
//    }
//
//
//}
