package com.dz.openapi.demo.sms.model;


import java.util.Date;

import lombok.Data;

@Data
public class SmsFormManageDisPO {

    /**
     * 审核信息（不通过时设置）
     */
    String reviewComment;
    /**
     * 模板类型
     */
    String formType;
    /**
     * 主键
     */
    Long id;
    /**
     * 审核状态
     */
    String reviewStatus;
    /**
     * 短信模板ID，审核后生成
     */
    String formId;
    /**
     * 创建时间
     */
    String createTime;

    String updateTime;

    String deleteTime;

    /**
     * 租户ID
     */
    String tenantId;
    /**
     * 启用状态(on:启用/off:停用)
     */
    String applyStatus;
    /**
     * 备注
     */
    String formComment;
    /**
     * 模板名称
     */
    String formName;
    /**
     * 签名管理ID
     */
    Long signManageId;
    /**
     * 模板内容
     */
    String formContent;

    String companyName;

    Boolean isDeleted;

}
