package com.dz.openapi.demo.sms.util;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class SmsTemplateUtils {
    private final static Pattern PARAM_REGEX_PATTERN = Pattern.compile("\\{(.*?)\\}");

    public static List<String> getContentParams(String formContent) {
        List<String> result = new ArrayList<>();
        Matcher matcher = PARAM_REGEX_PATTERN.matcher(formContent);
        while (matcher.find()) {
            String ret = matcher.group(1);
            result.add(ret);
        }
        return result;
    }
}
