package com.dz.openapi.demo.staff;


import com.dz.openapi.demo.OpenAPIConstants;
import com.dz.openapi.demo.staff.model.UssGroup;
import com.dz.openapi.demo.staff.model.UssGroupsResponse;

import org.junit.jupiter.api.Test;

import java.util.List;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class UssGroupTest extends StaffTest {

    @Test
    public void ussGroupTest() {

        // 查询统一技能组列表
        queryUssGroupList();
    }


    /**
     * 查询统一技能组列表
     */
    protected List<UssGroup> queryUssGroupList() {
        UssGroupsResponse ussGroupsResponse = restTemplate.getForObject(
                config.getAPIUrl(OpenAPIConstants.STAFF.USSGROUP_LIST), UssGroupsResponse.class);
        assertResultAndLog(ussGroupsResponse);
        return ussGroupsResponse.getData();
    }
}
