package com.dz.openapi.demo.staff.model;

import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class DepartmentTree  {

    /**
     *id
     */
    private Long id;
    /**
     * 父id
     */
    private Long parentId;
    /**
     * 租户id
     */
    private String tenantId;
    /**
     * 部门名称
     */
    private String name;

    /**
     * 部门级别
     */
    private Integer level;

    /**
     * 排序
     */
    private Integer sort;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后一次更新数据时间
     */
    private Date updateTime;

    /**
     * 是否删除 0：未删除，有效数据  1：删除
     */
    private Boolean isDeleted;

    /**
     * 父节点
     */
    private DepartmentTree parentNode;

    /**
     * 子节点
     */
    private List<DepartmentTree> children;
}
