package com.dz.openapi.demo.staff.model;

import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class UserInfoDTOExt {

    private Long id;

    private String email;

    private List<BasicRole> roles;

    private String phone;

    /**
     * 名称
     */
    private String name;
    /**
     * 昵称
     */
    private String nickname;
    /**
     * 工号
     */
    private String empno;

    /**
     * 部门
     */
    private List<BasicDepartment> departments;

    /**
     * 状态(0:禁用,1:启用,2:审核中)
     */
    private Byte status;

    /**
     * 是否锁定
     */
    private Boolean isLock;

    /**
     * 最近登录时间
     */
    private Date lastLogintime;

    private String tenantId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后一次更新数据时间
     */
    private Date updateTime;

    /**
     * 是否删除 0：未删除，有效数据  1：删除
     */
    private Boolean isDeleted;

}
